Bug 598241 - [abrt] crash in cheese-2.30.1-1.fc13: Process /usr/bin/cheese was killed by signal 11 (SIGSEGV)
[abrt] crash in cheese-2.30.1-1.fc13: Process /usr/bin/cheese was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cheese (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:ba546ee5fa2365adb15d5be17d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 17:13 EDT by Dave Gordon
Modified: 2011-06-27 13:12 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:12:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.28 KB, text/plain)
2010-05-31 17:13 EDT, Dave Gordon
no flags Details

  None (edit)
Description Dave Gordon 2010-05-31 17:13:00 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/cheese
component: cheese
crash_function: cheese_camera_device_get_best_format
executable: /usr/bin/cheese
global_uuid: ba546ee5fa2365adb15d5be17d6a4e3673cc8bb1
kernel: 2.6.33.4-95.fc13.x86_64
package: cheese-2.30.1-1.fc13
rating: 4
reason: Process /usr/bin/cheese was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
Fresh install of cheese, started program.
It showed the clock type searching for device graphic
Then crashed
Comment 1 Dave Gordon 2010-05-31 17:13:02 EDT
Created attachment 418396 [details]
File: backtrace
Comment 2 harry.hieronymous.bosch 2010-06-04 23:08:07 EDT
Package: cheese-2.30.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Plugged in Logitech QuickCam Pro 9000
2. Started Cheese
3.


Comment
-----
System Messages:
Jun  5 14:11:00 qg-f13 kernel: usb 2-1: new high speed USB device using ehci_hcd and address 3
Jun  5 14:11:00 qg-f13 kernel: usb 2-1: New USB device found, idVendor=046d, idProduct=0990
Jun  5 14:11:00 qg-f13 kernel: usb 2-1: New USB device strings: Mfr=0, Product=0, SerialNumber=2
Jun  5 14:11:00 qg-f13 kernel: usb 2-1: SerialNumber: 9E777667
Jun  5 14:11:00 qg-f13 kernel: Linux video capture interface: v2.00
Jun  5 14:11:00 qg-f13 kernel: uvcvideo: Found UVC 1.00 device <unnamed> (046d:0990)
Jun  5 14:11:00 qg-f13 kernel: input: UVC Camera (046d:0990) as /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/input/input5
Jun  5 14:11:00 qg-f13 kernel: usbcore: registered new interface driver uvcvideo
Jun  5 14:11:00 qg-f13 kernel: USB Video Class driver (v0.1.0)
Jun  5 14:11:01 qg-f13 kernel: usbcore: registered new interface driver snd-usb-audio
Jun  5 14:11:01 qg-f13 kernel: ALSA sound/usb/usbmixer.c:405: cannot get current value for control 1 ch 0: err = -22
Jun  5 14:11:01 qg-f13 pulseaudio[1892]: alsa-mixer.c: Unable to load mixer: Invalid argument
Jun  5 14:11:01 qg-f13 rtkit-daemon[1761]: Sucessfully made thread 2465 of process 1892 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Jun  5 14:11:19 qg-f13 kernel: uvcvideo: Failed to query (135) UVC control 2 (unit 2) : -32 (exp. 2).
Jun  5 14:11:19 qg-f13 kernel: uvcvideo: Failed to query (135) UVC control 2 (unit 2) : -110 (exp. 2).
Jun  5 14:11:20 qg-f13 kernel: cheese[2469]: segfault at 0 ip 00000035cac0f612 sp 00007fa68881bb70 error 4 in libcheese-gtk.so.18.0.0[35cac00000+17000]

There is a major problem with this quickcam. If f11, f12, f13 are booted with the quickcam plugged in, the OS boots but the desktop runs EXTREMELY slowly - about 30-60 seconds to respond to each and every input.

System messages
Jun  3 19:45:02 qg-f13 kernel: uvcvideo: Failed to set UVC probe control : -110 (exp. 26).
Jun  3 19:45:02 qg-f13 ntpd[1504]: Listen normally on 5 eth0 192.168.1.4 UDP 123
Jun  3 19:45:05 qg-f13 kernel: uvcvideo: Failed to set UVC probe control : -110 (exp. 26).
Jun  3 19:45:06 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:07 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:08 qg-f13 ntpd_intres[1514]: DNS tk1.ihug.co.nz -> 203.109.252.7
Jun  3 19:45:08 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:08 qg-f13 kernel: uvcvideo: Failed to set UVC probe control : -110 (exp. 26).
Jun  3 19:45:08 qg-f13 ntpd_intres[1514]: DNS tk2.ihug.co.nz -> 203.109.252.32
Jun  3 19:45:09 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:10 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:11 qg-f13 kernel: uvcvideo: Failed to set UVC probe control : -110 (exp. 26).
Jun  3 19:45:11 qg-f13 ntpd_intres[1514]: DNS tk3.ihug.co.nz -> 203.109.252.5
Jun  3 19:45:14 qg-f13 kernel: uvcvideo: Failed to set UVC probe control : -110 (exp. 26).
Jun  3 19:45:15 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:16 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:17 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:18 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:19 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:20 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:21 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:22 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:23 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:24 qg-f13 kernel: ALSA sound/usb/usbaudio.c:1290: 3:3:1: cannot set freq 16000 to ep 0x86
Jun  3 19:45:24 qg-f13 pulseaudio[1908]: module-alsa-card.c: Failed to find a working profile.
Jun  3 19:45:24 qg-f13 pulseaudio[1908]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id="1" name="usb-046d_0990_9E777667-02-Q9000" card_name="alsa_card.usb-046d_0990_9E777667-02-Q9000" tsched=yes ignore_dB=no card_properties="module-udev-detect.discovered=1""): initialization failed.
Comment 3 Eduardo Villagrán Morales 2010-06-12 18:22:08 EDT
Package: cheese-2.30.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open Cheese
2. It crash
3.
Comment 4 Ulrich Drepper 2010-06-29 14:09:39 EDT
Package: cheese-2.30.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.USB camara was in a funny state because the previous app was aborted (vlc with Ctrl-C)
2.start cheese
3.immediate crash
Comment 5 gr8viju 2010-07-11 12:50:16 EDT
Package: cheese-2.30.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open Cheese wemcam booth
2.
3.
Comment 6 Bug Zapper 2011-06-02 08:35:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 13:12:28 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.